return {
    {
        'nvim-treesitter/nvim-treesitter',
        config = function()
            local ts_update = require('nvim-treesitter.install').update({ with_sync = true });
            ts_update()

            require('nvim-treesitter.configs').setup({
                ensure_installed = { 
                    "lua", "svelte", "javascript", "typescript", "html", "elixir", "vim",
                    "jsdoc", "go",
                },

                auto_install = true,

                highlight = {
                    enable = true
                }
            })
        end
    },
}
